Bug 831038 - should /usr/bin/derive be subpackaged?
should /usr/bin/derive be subpackaged?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ghc-derive (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 00:53 EDT by Jens Petersen
Modified: 2012-06-21 05:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 05:26:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-06-12 00:53:47 EDT
Description of problem:
Currently /usr/bin/derive is included in ghc-derive.
ghc-derive should only contain the shared library (and license file etc).

(derive is really a binlib package and should have been packaged
under the name derive, following the Haskell Packaging naming guidelines
but anyway.)

Version-Release number of selected component (if applicable):
ghc-derive-2.5.8-1


Anyway I recommend adding a new subpackage called derive
to ghc-derive.spec to carry /usr/bin/derive.  It should not
be in the ghc-derive binary package anyway.
Comment 1 Narasimhan 2012-06-12 08:27:29 EDT
Jens,
I have uploaded the spec that subpackages derive. Can you review it once?
http://narasim.fedorapeople.org/bugs/831038/ghc-derive.spec
Comment 3 Shakthi Kannan 2012-06-13 02:44:42 EDT
Package Review

[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

$  rpmlint ghc-derive-2.5.8-2.fc18.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-derive-2.5.8-2.fc18.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-derive-devel-2.5.8-2.fc18.x86_64.rpm 
ghc-derive-devel.x86_64: W: obsolete-not-provided ghc-derive-doc
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$  rpmlint derive-2.5.8-2.fc18.x86_64.rpm 
derive.x86_64: W: name-repeated-in-summary C derive
derive.x86_64: W: unstripped-binary-or-object /usr/bin/derive
derive.x86_64: W: no-manual-page-for-binary derive
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK   
        API documentation - OK, in devel package.

[-]MUST : Summary and description - 
OK.

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD license
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

$  md5sum ../SOURCES/derive-2.5.8.tar.gz 
e970a39db478eb83710edb8f94c9b4ab  ../SOURCES/derive-2.5.8.tar.gz

$  md5sum derive-2.5.8.tar.gz 
e970a39db478eb83710edb8f94c9b4ab  derive-2.5.8.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
[+]MUST: A package must own all directories that it creates.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

Please use separate BuildRequires for each dependency. It is more readable instead of using CSVs.

APPROVED.
Comment 4 Jens Petersen 2012-06-17 22:30:44 EDT
Ok, for now I moved bindir/derive into the devel subpackage,
that might well be sufficient for most use-cases?
Comment 5 Narasimhan 2012-06-18 04:47:23 EDT
Jens,
Thanks. Sounds okay.
Comment 6 Jens Petersen 2012-06-21 05:26:42 EDT
Ok this might be good enough for the time being.
If not we can revisit later or reopen this.

Note You need to log in before you can comment on or make changes to this bug.